//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------

package org.huihoo.workflow.store;


import org.huihoo.commons.jdbc.Store;
import org.huihoo.workflow.*;
import org.huihoo.workflow.WorkflowDatabase;
import org.huihoo.workflow.WorkflowException;

public class WorkflowDatabaseImpl implements WorkflowDatabase
{
	protected Store store;
	protected SchemaContext schemaContext;

	public Store getStore()
	{
		return store;
	}
	
	public void  setStore(Store store)
	{
		this.store = store;
	}
	
	public SchemaContext getSchemaContext()
	{
		return schemaContext;
	}

	public void  setSchemaContext(SchemaContext schemaContext)
	{
		this.schemaContext = schemaContext;
	}
	
	public WorkflowTransaction getWorkflowTransaction() throws WorkflowException
	{
		throw new IllegalArgumentException();
	}
}
